##############################################################################

CC = gcc
#CFLAGS = -Wall -g -O -fbounds-check -fpic
CFLAGS = -Wall -g -O
LDFLAGS= -lm 


##############################################################################
# Choose one of those:

##### GDK (GTK+) #####
GUI=gui_gdk
LDFLAGS += $(shell pkg-config --libs gdk-2.0 gthread-2.0)


##### X11 #####
#GUI=gui_x11
#LDFLAGS += -L/usr/X11R6/lib -lpthread -lX11


##############################################################################
export CC CFLAGS LDFLAGS GUI
export LC_ALL=C
export LANG=C

# I don't like long command lines printing when compiling
%.o: %.c
	@echo "* $<"
	@$(CC) $(CFLAGS) -o $@ -c $<
