#define DONT_USE_HPGCC_LIBC
#include <unistd.h>	/* sleep() */
#include <hpgcc49.h>
#include <hpgraphics.h>

int main(void)
{
    hpg_set_mode_gray16(0);
    hpg_clear();

    int i, j;
    int c;

    printf("Testing hpg_draw_pixel_on()\n");

    for (i = 0; i < 131; i++) {
	for (j = 0; j < 80; j++) {
	    c = ((j - i) / 5) & 0xf;
	    c = (c << 4) + c;
	    hpg_set_color(hpg_stdscreen, c);
	    hpg_draw_pixel_on(hpg_stdscreen, i, j);
	}
    }

    printf("Testing hpg_get_pixel()\n");
    sleep(1);

    for (i = 0; i < 131; i++) {
	for (j = 0; j < 80; j++) {
	    int cc;
	    c = ((j - i) / 5) & 0xf;
	    c = (c << 4) + c;
	    cc = hpg_get_pixel(hpg_stdscreen, i, j);
	    if (c != cc)
		printf("%3i %2i: %2x instead of %2x\n", i, j, cc, c);
	    hpg_set_color(hpg_stdscreen, c);
	    hpg_draw_pixel_on(hpg_stdscreen, i, j);
	}
    }

    printf("\n");
    sleep(1);

    for (i = 130; i >= 0; i--) {
	for (j = 0; j < 80; j++) {
	    c = ((j + i) / 5) & 0xf;
	    hpg_set_color(hpg_stdscreen, c * 16 + c);
	    hpg_draw_pixel_on(hpg_stdscreen, i, j);
	}
	usleep(10000);
    }

    printf("Done. \n");
    printf("Please press Escape to exit.\n");

    WAIT_CANCEL;
    return 0;
}
