#ifndef _HPGCC49_ALL
#define _HPGCC49_ALL	1

#include "hpgcc_config.h"

#ifndef _LONGLONG_DEF
typedef unsigned long long ULONGLONG;
typedef long long LONGLONG;
#define _LONGLONG_DEF
#endif

#include <hpconio.h>
#include <hpctype.h>
#include <hpkeyb49.h>
#include <hpmath.h>
#include <hpscreen.h>
#include <hpstdio.h>
#include <hpstdlib.h>
#include <hpstring.h>
#include <hpsys.h>
#include <hptime.h>
#include <kos.h>
#include <saturn.h>
#include <satdir.h>


#ifdef __STRICT_HPGCC__
#define WARN_HPGCC_BUG(x) \
 { \
    static __warned_bug_hpgcc = 0; \
    if (! __warned_bug_hpgcc) { \
        fprintf(stderr, "%s: reproducing a bug in HPGCC %i.%i\n", \
	__FUNCTION__, HPGCC_VERSION_MAJOR, HPGCC_VERSION_MINOR); \
	__warned_bug_hpgcc = 1; \
    } \
 }
#else
#define WARN_HPGCC_BUG(x)	;
#endif


#endif

