#ifndef _HPSCREEN_H
#define _HPSCREEN_H	1


/*
 * scr_lcdscreen.c
 */

extern char *getLCDPointer(int x, int y);
extern void clearScreen();


/*
 * scr_blocks.c
 */

extern void drawBlockOR(unsigned char *sprite, int length, int x, int y);
extern void drawBlockXOR(unsigned char *sprite, int length, int x, int y);

extern void drawBlock4bit(unsigned char *sprite, int height, int x, int y);
extern int drawBlockOR4bitC(unsigned char *sprite, int height, int x,
			    int y);
extern int drawBlockXOR4bitC(unsigned char *sprite, int height, int x,
			     int y);
extern int testBlock4bitC(unsigned char *sprite, int height, int x, int y);

extern void fillTiles(unsigned char *sprite, int length, int x, int y,
		      int right, int down);

/*
 * scr_print.c
 */
extern char *getMF(int z);
extern void print(char *string, int x, int y);


#endif
