#define  DECNUMDIGITS 32	/*  work with up to 32 digits */

#include <hpgcc49.h>
#include "decNumber.h"		/*  base number library */
#include "bcdutils.h"

#ifndef MUL10
#define MUL10(x) (10*(x))
#endif



void bcd_get_coefficient(unsigned addr, int n_digits, decNumber * dn)
{
    unsigned i, p;

    i = 0;
    dn->digits = n_digits;
    p = addr - 1;

    while (n_digits > 0) {

	int j, cnt, step;
	decNumberUnit unit;

	cnt = step = min(DECDPUN, n_digits);
	p += step;
	unit = 0;

	for (j = p; cnt; j--, cnt--)
	    unit = MUL10(unit) + sat_peek(j, 1);

	dn->lsu[i++] = unit;

	n_digits -= step;

    }


    if (dn->digits <= 0)
	dn->digits = 1;

}
