#include <hpgcc49.h>

#include "gglpr.h"

static unsigned char *__gglorgaddr;

void ggl_initscr(gglsurface * srf)
{
    /* we need x4 to avoid crash of buggy examples/ggl/tggl.c */
    __gglorgaddr = sys_chkptr(malloc(6400 * 4));

    srf->addr = (int *) __gglorgaddr;
    srf->width = LCD_W;
    srf->x = srf->y = 0;
}

void ggl_freescr()
{
    free(__gglorgaddr);
}
