#include "hpgraphics.h"
#include "hpgpriv.h"

#include <stdio.h>

void hpg_clear()
{
    hpg_clear_on(hpg_stdscreen);
}

void hpg_clear_on(hpg_t * g)
{
    hpg_init();

    int clear_bytes = g->height * g->fbwidth;
    int i;
    for (i = 0; i < clear_bytes; i++) {
	g->drawfb[i] = 0;
    }
}
