#include <stdio.h>
#include "hpmath.h"

double
dround(double v, int d)
{
    double scale = 1.0, expo = i10powx(abs(d));
    int minus, expo2, iexp;

    if ((minus = v < 0.0))
        v = -v;
    
    frexp(v,&expo2);

    iexp = (int) (expo2*M_LN2/M_LN10);
    if (iexp < 0)
        v *= (scale = i10powx(-iexp));
    
    v = (round(v * expo ) / expo) / scale;
    return minus ? -v : v;
}
