//&<prolog>
//& ****************************************************************************
//&
//& Written by Ingo Blank,  August 2005
//& 
//& Copyright (C) 2004,2005 Ingo Blank
//&
//& ****************************************************************************
//&
//&
//& This file is part of HP-GCC.
//&
//& HP-GCC is free software; you can redistribute it and/or modify
//& it under the terms of the GNU General Public License as published by
//& the Free Software Foundation; either version 2, or (at your option)
//& any later version.
//& 
//& HP-GCC is distributed in the hope that it will be useful,
//& but WITHOUT ANY WARRANTY; without even the implied warranty of
//& MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//& GNU General Public License for more details.
//& 
//& You should have received a copy of the GNU General Public License
//& along with HP-GCC; see the file COPYING. 
//&
//& As a special exception, you may use this file as part of a free software
//& library without restriction.  Specifically, if other files instantiate
//& templates or use macros or inline functions from this file, or you compile
//& this file and link it with other files to produce an executable, this
//& file does not by itself cause the resulting executable to be covered by
//& the GNU General Public License.  This exception does not however
//& invalidate any other reasons why the executable file might be covered by
//& the GNU General Public License.
//&
//& ****************************************************************************
//&</prolog>

// $Header: bcd_alloc_sub.c , 2005-08-09 15:19:38 , ingo  $

/*
 *  This file is part of the HP-GCC specific BCD library bindings
 */
 
#define  DECNUMDIGITS 32           // work with up to 32 digits

#include <hpgcc49.h>
#include "decNumber.h"             // base number library
#include "bcdutils.h"


#ifndef MUL10
#define MUL10(x) (10*(x))
//#define MUL10(x) (((x) << 1) + ((x) << 3))
#endif



decNumber
*bcd_alloc_sub(decNumber *a, decNumber *b)
{
    return bcd_alloc_number(max(a->digits,b->digits));
}


