#include <hpgcc49.h>
#include <hpparser.h>

char *prs_error (int error)
{
	char *Ret = "";

		switch (error)
		{
			case PRS_OK :
			{
				Ret = "No error";
				break;
			}
			
			case PRS_ERROR_PAR :
			{
				Ret = "Incorrect parameter value";
				break;
			}
			
			case PRS_ERROR_MEMORY :
			{
				Ret = "Unable to allocate enough memory";
				break;
			}
			
			case PRS_ERROR_VARIABLE :
			{
				Ret = "Variable not initialized";
				break;
			}
			
			case PRS_ERROR_ARG :
			{
				Ret = "Not enough arguments";
				break;
			}
			
			case PRS_ERROR_STACK :
			{
				Ret = "Level out of stack";
				break;
			}
			
			case PRS_ERROR_SLOT_VAR :
			{
				Ret = "No more room for a new variable";
				break;
			}
			
			case PRS_ERROR_SLOT_FUNC :
			{
				Ret = "No more room for a new func";
				break;
			}

			case PRS_ERROR_NOT_IMPLEMENTED :
			{
				Ret = "Not (yet) implemented";
				break;
			}
		}
		
	return (Ret);
}
