#include <hpgcc49.h>
#include "hpspriv.h"
#include <hpstack.h>

char *hps_error (int error)
{
	char *Ret = "";

		switch (error)
		{
			case HPS_OK :
			{
				Ret = "No error";
				break;
			}
			
			case HPS_ERROR_PAR :
			{
				Ret = "Incorrect parameter value";
				break;
			}
			
			case HPS_ERROR_STACK :
			{
				Ret = "Not enough stack levels";
				break;
			}
			
			case HPS_ERROR_OVERFLOW :
			{
				Ret = "Overflow";
				break;
			}
			
			case HPS_ERROR_SAT_MEMORY :
			{
				Ret = "Out of Saturn memory";
				break;
			}
			
			case HPS_ERROR_ARM_MEMORY :
			{
				Ret = "Out of ARM memory";
				break;
			}
			
			case HPS_ERROR_NOT_IMPLEMENTED :
			{
				Ret = "Not (yet) implemented";
				break;
			}
			
			case HPS_ERROR_TYPE :
			{
				Ret = "Type mismatch";
				break;
			}
			
		}
		
	return (Ret);
}
