#include <hpgcc49.h>
#include <hpstack.h>

void main (void)
{
	int ret;

	// Creates the main list
	list_t *lst, *lst2;
	if (hps_list_create (&lst) == HPS_OK)
	{
		// Adds the values to the list
		(void) hps_list_add_int (lst, 1);
		(void) hps_list_add_real (lst, 2.4);

		// Creates the sub-list
		if (hps_list_create (&lst2) == HPS_OK)
		{
			// Complete the sub-list
			complex_t cpx = {5.8, 3.9};
			(void) hps_list_add_complex (lst2, &cpx);
			(void) hps_list_add_str (lst2, "Test");

			// Complete the main list
			(void) hps_list_add_list (lst, lst2);
		}

		// Push it onto the stack
		(void) hps_push_list (lst);

		// Frees the allocated objects
		(void) hps_list_destroy (&lst);

	}
}
