#include <hpgcc49.h>
#include <complex.h>

int __errno;

int main(void) {
	double r,i;
	double complex w,z;

	sys_slowOff();

	i = sat_pop_real();
	r = sat_pop_real();

	if(i == 0 && (r == 1 || r == 2)) {
		sat_push_real(0);
		sat_push_real(0);
	}
	else {
		z =  r + i * I;
		w = clgam(z);

		sat_push_real(creal(w));
		sat_push_real(cimag(w));
	}

	sys_slowOn();
	return (0);
}

/* User RPL Wrapper

%%HP: T(3)A(R)F(.);
\<< \->NUM DUP TYPE
  IF 1 ==
  THEN
    C\->R
  ELSE
    0.
  END
  :3: "EXTEND/LOGGAMMA" EVAL
  DUP
  IF 0 ==
  THEN
    DROP
  ELSE
    R\->C
  END
\>>

*/
