1     	#include <hpgcc49.h>
2     	
3     	int main(void)
4     	{
5     	    char *filename, *s;
6     	    SAT_STACK_ELEMENT e;
7     	    SAT_STACK_DATA d;
8     	    FILE *fp;
9     	
10    	    sat_get_stack_element(1, &e);
11    	    sat_decode_stack_element(&d, &e);
12    	    if (d.type == SAT_DATA_TYPE_STRING) {
13    	        filename = str_unquote(d.sval, '\'');
14    	    } else {
15    	        sat_stack_push_string("Missing Filename");
16    	        sat_push_real(1);
17    	        return (0);
18    	    }
19    	
20    	    sat_get_stack_element(2, &e);
21    	    sat_decode_stack_element(&d, &e);
22    	    if (d.type == SAT_DATA_TYPE_STRING) {
23    	        sat_stack_drop();
24    	        s = sat_stack_pop_string_alloc();
25    	    } else {
26    	        sat_stack_push_string("Missing String");
27    	        sat_push_real(1);
28    	        return (0);
29    	    }
30    	
31    	    if ((fp = fopen(filename, "w")) == NULL) {
32    	        char errormsg[30];
33    	        char fname[13];
34    	
35    	        strncpy(fname, filename, 12);
36    	        fname[12] = '\0';
37    	        sprintf(errormsg, "Cannot open: %s", fname);
38    	
39    	        sat_stack_push_string(errormsg);
40    	        sat_push_real(1);
41    	        return (0);
42    	    }
43    	
44    	    fprintf(fp, "%s", s);
45    	    fclose(fp);
46    	
47    	    sat_push_real(0);
48    	    return (0);
49    	}
