#include <hpgcc49.h>
#include "hpspriv.h"
#include <hpstack.h>

int hps_list_get_complex (list_t *list, int ind, complex_t *val)
{
	int Ret = HPS_OK;
	
	hpobj_t *obj;
	
	if ((Ret = hps_list_get (list, ind, &obj)) == HPS_OK)
	{
		if (obj->type == DOCMP)
		{
			(void) memcpy ((void *) val, (void *) &(obj->data.docmp), sizeof (complex_t));
		}
		else
		{
			Ret = HPS_ERROR_TYPE;
		}
	}
	
	return (Ret);
}

