#include <hpgcc49.h>
#include <hpstack.h>

int main (void)
{
	int ret;
	
	// Pops a string from the stack
	char *str = NULL;
	
	if ((ret = hps_pop_str (&str)) == HPS_OK)
	{
		// Gets the string length
		int len = strlen (str);
		
		// Pushes it to the stack
		if ((ret = hps_push_int (len)) != HPS_OK)
		{
			(void) hps_push_str (hps_error (ret));
		}
		
		// Frees the memory
		free (str);
	}
	else
	{
		(void) hps_push_str (hps_error (ret));
	}
	
	return (0);
}

