#include <hpgcc49.h>

#ifdef SHFT_RS
	#undef SHFT_RS
#endif
#define SHFT_RS	0x40000000

#ifdef SHFT_LS
	#undef SHFT_LS
#endif
#define SHFT_LS	0x20000000

int main()
{
	int key;

	for(;;) {
		sys_slowOn();
		key = keyb_getkeyM(1);
		sys_slowOff();

		beep();

		switch(KEYCODE(key)) {
		case KB_ON:
			return(0);
			break;
		case KB_0:
			switch(SHFTPLANE(key)) {
			case SHFT_LS:
				sat_stack_push_string("Left 0");
				break;
			case SHFT_RS:
				sat_stack_push_string("Right 0");
				break;
			default:
				sat_stack_push_string("Just 0");
				break;
			}
			break;
		case KB_1:
			sat_push_zint_llong(1);
			break;
		case KB_2:
			sat_push_zint_llong(2);
			break;
		case KB_3:
			sat_push_zint_llong(3);
			break;
		}
	}
}
