#include <hpgcc49.h>
#include "hpspriv.h"
#include <hpstack.h>

int hps_code_complex (complex_t *val, unsigned *address)
{
	int Ret = HPS_OK;

	if (val && address)
	{
		int size = 0;

		if ((Ret = hps_objsize_type (DOCMP, (void *) &val, &size)) == HPS_OK)
		{
			unsigned addr;
			
			if (addr = (*address ? *address : (*address = sat_createtemp (size))))
			{
				// Fills the prologue
				sat_poke (addr, DOCMP, 5);
							
				// Fills the values
				double2real (val->re, addr + 5);
				double2real (val->im, addr + 21);
			}
		}
	}
	else
	{
		Ret = HPS_ERROR_PAR;
	}
	
	return (Ret);
}
