#include <hpgcc49.h>
#include <hpstack.h>

int hps_swap (void)
{
	int Ret = HPS_OK;
	int depth;
	
	(void) hps_depth (&depth);
	
	if (depth >= 2)
	{
		unsigned stack_ptr = sat_peek_sat_addr(SAT_DSKTOP);
		unsigned addr = sat_peek_sat_addr (stack_ptr);
		sat_poke_sat_addr (stack_ptr, sat_peek_sat_addr (stack_ptr + 5));
		sat_poke_sat_addr (stack_ptr + 5, addr);
	}
	else
	{
		Ret = HPS_ERROR_STACK;
	}
	
	return (Ret);
}
