
// MAP DEFINITION

// BLOCK
#define BB 0
// SKY
#define X1 1
#define X2 2
#define X3 3
// SURFACE
#define OO 4

// SPECIAL BLOCKS
#define LP 0x44
#define RP 0x48
#define UP 0x4c
#define DP 0x50
#define KL 0x40

#define SK 0x54

// 20x10 map
unsigned char Level1[]={
// WIDTH AND HEIGHT IN BLOCKS
20,10,
// INITIAL COORDINATES IN BLOCKS
2,0,
// MAP DATA
X1,X2,OO,OO,OO,OO,OO,OO,X2,X1,X3,KL,OO,OO,OO,OO,DP,X1,X1,X1,
X3,X2,BB,BB,BB,OO,OO,OO,X3,X2,OO,OO,KL,OO,OO,BB,DP,X2,X1,X1,
X2,X3,OO,OO,BB,OO,OO,OO,X2,X1,X1,OO,OO,KL,OO,BB,DP,X1,OO,X1,
X1,X3,BB,OO,BB,BB,BB,BB,BB,BB,X2,KL,OO,OO,KL,BB,DP,X3,X3,X1,
X2,X2,BB,OO,OO,OO,OO,OO,OO,BB,X1,OO,KL,OO,OO,BB,X1,OO,OO,X1,
X3,X2,BB,OO,BB,OO,OO,OO,OO,BB,X3,OO,OO,KL,OO,BB,X3,OO,KL,X1,
X1,X1,OO,OO,BB,OO,SK,SK,OO,OO,X1,KL,LP,LP,LP,BB,UP,KL,OO,X1,
X2,X3,BB,BB,BB,OO,OO,OO,OO,BB,X1,OO,KL,OO,OO,BB,UP,X3,OO,X1,
X3,X2,OO,X1,OO,OO,SK,SK,OO,BB,X2,OO,OO,KL,OO,BB,UP,X1,X3,X1,
X1,X2,OO,X2,OO,OO,OO,OO,OO,BB,X1,KL,OO,OO,KL,OO,UP,X2,X2,X1
};

unsigned char Level1Enem[]={
2,3,        // FLY NUMBER 1 COORDINATES (0xFF=NO FLY)
8,4,        // FLY NUMBER 2 COORDINATES
3,0,        // FLY NUMBER 3
8,7,        // FLY NUMBER 4
1,            // NUMBER OF ADDITIONAL ENEMIES
// DATA STRUCTURE REPEATS FOR EACH ENEMY
0,            // ENEMY TYPE (0=WORM, 1=BALL, 2=FACE)
3,3,        // INITIAL COORDINATES
2,2,        // SPEED X,SPEED Y
4,            // NUMBER OF POINTS IN TRAJECTORY
5,3,
5,5,
5,3,
3,3
};



// UNDEFINE ALL CONSTANTS FROM HERE ON...
// BLOCK
#undef BB
// SKY
#undef X1
#undef X2
#undef X3
// SURFACE
#undef OO
#undef FT
#undef OT
#undef TT
#undef IO
#undef iO 
#undef CO

#undef LP
#undef RP
#undef UP
#undef DP
#undef KL



