#define  DECNUMDIGITS 32	/*  work with up to 32 digits */

#include <hpgcc49.h>
#include "decNumber.h"		/*  base number library */
#include "bcdutils.h"


int sat_pick_bcd(int level, decNumber ** val)
{

    SAT_STACK_ELEMENT e;

    if (sat_get_stack_element(level, &e))
	return -1;

    if (e.prologue == SAT_DOREAL
	|| (REAL_0 <= e.prologue && e.prologue <= REAL_9)) {
	sat_bcd2decNumber(e.addr, val);
	return 0;
    }

    return -2;
}
