#include <stdio.h>

#define DONT_USE_HPGCC_LIBC
#include <hpgcc_config.h>
#include <hpapine_version.h>
#include "_hpapine_version.h"
#include "hpapine_gui.h"

const char __hpapine_date[] = __HPAPINE_DATE__;
const char __hpapine_uname[] = __HPAPINE_UNAME__;


void hpapine_print_version(void)
{
    static int done = 0;
    
    if (done)
	return;

    printf(
	"HPAPINE version %s (HPGCC %i.%i)\n"
	"  Compiled on %s\n"
	"  %s (%s)\n"
	"  STRICT_HPGCC: %s\n"
	"  GUI: %s\n"
	"\n",
	__HPAPINE_VERSION__,
	HPGCC_VERSION_MAJOR, HPGCC_VERSION_MINOR,
	__HPAPINE_DATE__,
	__HPAPINE_UNAME__,
	__HPAPINE_HOSTNAME__,
#ifdef __STRICT_HPGCC20__
	"yes"
#else
	"no"
#endif
	,
	gui_name
    );
}
