#include <hpgcc49.h>

char *
_isotime(const struct tm *tt,int strict)
{
    static char s[32];
    struct tm tmb,*t;
    
    if (tt == NULL) {
        sys_tm_RTC(&tmb);
        t = &tmb;
    }
    else
        t = (struct tm *)tt;
    
    isprintf(s,"%4d-%02d-%02d%c%02d:%02d:%02d",
                t->tm_year + 1900,
                t->tm_mon + 1,
                t->tm_mday,
                strict ? 'T' : ' ',
                t->tm_hour,
                t->tm_min,
                t->tm_sec);
    
    return s;
}


char *
hpgcc_asctime(const struct tm *tt)
{
    return _isotime(tt,0);
}
