#include <hpgcc49.h>



int sat_decode_real (unsigned address, double *val)
{
    unsigned prolog;
    
    prolog = sat_peek(address,5);
    
    if (prolog == SAT_DOREAL) 
        *val = sat_real2double(address+5);
        
    else if (REAL_0 <= prolog && prolog <= REAL_9) 
        *val = (double) (prolog - REAL_0)/21;
    
    else return -1;
                
    return 0;
}
