#include "hpconio.h"
#include "hpstdio.h"
#include "kos.h"
#include <stdio.h>


int __scr_h = 13;
int __scr_w = 33;
int __pos_x = 0;
int __pos_y = 0;
int __ch_w = 4;
int __ch_h = 6;

char *__decimal_separator = ".";
int __decimal_digits = 6;

int __auto_cr = 1;


int getx(void)
{
    return __pos_x;
}

int gety(void)
{
    return __pos_y;
}

void gotoxy(int x, int y)
{
    __pos_x = x;
    __pos_y = y;
}

void home(void)
{
    gotoxy(0, 0);
}


int screen_width(void)
{
    return __scr_w;
}

int screen_height(void)
{
    return __scr_h;
}


void clreol(void)
{
    int x = __pos_x;
    int y = __pos_y;
    int w = __scr_w;
    int _x = x;

    while (_x++ < w)
	hpgcc_putc(' ');
    gotoxy(x, y);
}


int get_decimal_digits()
{
    return __decimal_digits;
}

void set_decimal_digits(int v)
{
    __decimal_digits = v;
}

char *get_decimal_separator()
{
    return __decimal_separator;
}

void set_decimal_separator(char a)
{
    *__decimal_separator = a;
}


void _clear_screen(void)
{
    kos_ClearLcd();
    home();
}

void beep(void)
{
    kos_beep(880, 100, 2);
}

