#include "hpsys.h"
#include "hpmath.h"

unsigned int sys_bcd2bin_nibbles(unsigned int BCD, int nibbles)
{
    int dig = 4 * min(abs(nibbles), 8) - 4;
    int result = 0;

    while (dig >= 0) {
	result*=10;
	result += (BCD >> dig) & 0xf;
	dig -= 4;
    }
    return result;
}


char *sys_bcd2str(unsigned int BCD)
{
    static char buf[9];
    char *p = (char *) (buf + 7);

    if (BCD) {
	while (BCD) {
	    *p-- = (BCD & 0xF) | 0x30;
	    BCD >>= 4;
	}
    } else
	*p-- = '0';

    return ++p;
}

