#include <hpgbmp.h>

char *hpg_bmp_error (int code)
{
	char *msg;
	
	switch (code)
	{
		case C_NoError :
		{
			msg = "";
			break;
		}

		case C_ErrOpenFile :
		{
			msg = "File opening error";
			break;
		}

		case C_ErrReadHeader :
		{
			msg = "Header reading error";
			break;
		}

		case C_ErrBadFormat :
		{
			msg = "Bad file format";
			break;
		}

		case C_ErrNotImpl :
		{
			msg = "Not implemented";
			break;
		}

		case C_ErrMemory :
		{
			msg = "Not enough memory";
			break;
		}

		case C_ErrReadImage :
		{
			msg = "Image reading error";
			break;
		}

		case C_ErrWritePalette :
		{
			msg = "Palette writing error";
			break;
		}

		default :
		{
			msg = "Unknown error";
			break;
		}
	}
	
	return (msg);
}
