#include <hpgcc49.h>
#include "hpspriv.h"
#include <hpstack.h>

int hps_code_ident (char *val, unsigned *address)
{
	int Ret = HPS_OK;

	if (val && address)
	{
		int size = 0;

		if ((Ret = hps_objsize_type (DOIDNT, (void *) &val, &size)) == HPS_OK)
		{
			unsigned addr;
			
			if (addr = (*address ? *address : (*address = sat_createtemp (size))))
			{
				int len = (size - 5 - 2) / 2;
				int ind;

				// Fills the prologue
				sat_poke (addr, DOIDNT, 5);
						
				// Fills the size
				sat_poke (addr + 5, len, 2);
						
				// Fills the ident name
				for (ind = 0; ind < len; ind++)
				{
					sat_poke (addr + 7 + ind*2, (unsigned) val[ind], 2);
				}				
			}
		}
	}
	else
	{
		Ret = HPS_ERROR_PAR;
	}
	
	return (Ret);
}
