#include <hpgcc49.h>
#include "hpspriv.h"
#include <hpstack.h>

int hps_list_get_str (list_t *list, int ind, char **val)
{
	int Ret = HPS_OK;
	
	hpobj_t *obj;
	
	if ((Ret = hps_list_get (list, ind, &obj)) == HPS_OK)
	{
		if (obj->type == DOCSTR)
		{
			*val = obj->data.docstr;
		}
		else
		{
			Ret = HPS_ERROR_TYPE;
		}
	}
	
	return (Ret);
}
