#include <hpgcc49.h>
#include <hpstack.h>

int hps_init (unsigned *stack)
{
	int Ret = HPS_OK;
	
	if (stack)
	{
#if (HAVE_STACK_BIAS)
		unsigned stack_ptr = sat_peek_sat_addr (SAT_DSKTOP);	
		*stack = sat_peek_sat_addr (stack_ptr);
		
		sat_poke_sat_addr (SAT_DSKTOP, stack_ptr + 5);
#else
		*stack = 0;
#endif
	}
	else
	{
		Ret = HPS_ERROR_PAR;
	}
	
	return (Ret);
}
