#include <hpgcc49.h>
#include "hpspriv.h"
#include <hpstack.h>

int hps_list_get_int (list_t *list, int ind, LONGLONG *val)
{
	int Ret = HPS_OK;
	
	hpobj_t *obj;
	
	if ((Ret = hps_list_get (list, ind, &obj)) == HPS_OK)
	{
		if (obj->type == DOINT)
		{
			*val = obj->data.doint;
		}
		else if ((hps_get_convert ()) && (obj->type == DOHXS))
		{
			*val = (LONGLONG) (obj->data.dohxs);
		}
		else
		{
			Ret = HPS_ERROR_TYPE;
		}
	}
	
	return (Ret);
}
