#include <hpgcc49.h>
#include "hpspriv.h"
#include <hpstack.h>

int hps_list_get_real (list_t *list, int ind, double *val)
{
	int Ret = HPS_OK;
	
	hpobj_t *obj;
	
	if ((Ret = hps_list_get (list, ind, &obj)) == HPS_OK)
	{
		if (obj->type == DOREAL)
		{
			*val = obj->data.doreal;
		}
		else if ((hps_get_convert ()) && (obj->type == DOHXS))
		{
			*val = (double) (obj->data.dohxs);
		}
		else if ((hps_get_convert ()) && (obj->type == DOINT))
		{
			*val = (double) (obj->data.doint);
		}
		else
		{
			Ret = HPS_ERROR_TYPE;
		}
	}
	
	return (Ret);
}
