#include <hpgcc49.h>

int main(void){
	double a,b,c;

	sys_slowOff();

	a = sat_pop_real();
	b = sat_pop_real();

	if(a < 0 || b < 0) {
		sat_push_real(a);
		sat_push_real(b);
		sat_push_real(1);
		sys_slowOn();
		return(0);
	}

	while (fabs(a-b) > 1e-10) {
		c = a;
		a = (a + b)/2;
		b = sqrt(b * c);
		if(keyb_isAnyKeyPressed())
			break;
	}

	sat_push_real((a+b)/2);
	sat_push_real(0);

	sys_slowOn();
	return(0);
}
