#include <hpgcc49.h>
#include <hpstack.h>

int main (void)
{
	entry_t *expr = NULL;
	
	(void) prs_alg_create (&expr, 20);
	(void) prs_alg_add_val (expr, 1, 2.5);
	(void) prs_alg_add_ident (expr, 2, "Size");
	(void) prs_alg_add_val (expr, 3, 2.);
	(void) prs_alg_add_func (expr, 4, xPOW);	
	(void) prs_alg_add_func (expr, 5, xMULTIPLY);
	(void) prs_alg_add_func (expr, 6, xSIN);
	(void) prs_alg_add_val (expr, 7, 1);
	(void) prs_alg_add_func (expr, 8, xPLUS);
	(void) prs_alg_add_val (expr, 9, 2);
	(void) prs_alg_add_func (expr, 10, xDIVIDE);
	(void) prs_alg_set_size (expr, 11);

	(void) hps_push_symb (expr);
	double res = 0;
	(void) prs_alg_set_var ("Size", 3.2);
	(void) prs_alg_eval (expr, &res);
	(void) hps_push_real (res);
	
	return (0);
}
